export type Action = {
    kind: ActionKind;
    chsm: number;
};

export type ActionKind =
    | { tag: "init"; title: string }
    | { tag: "addColumn"; idx: number; title: string }
    | { tag: "editColumn"; idx: number; title: string }
    | { tag: "deleteColumn"; idx: number }
    | { tag: "moveColumn"; idx: number; delta: number }
    | { tag: "addTask"; path: number[]; idx: number; content: string }
    | { tag: "editTask"; path: number[]; content: string }
    | { tag: "deleteTask"; path: number[] }
    | { tag: "moveTask"; srcPath: number[]; destPath: number[]; idx: number };
